## xdffileio 0.2

=== debian/changelog ===
xdffileio (0.2-1~nd50+1) lenny; urgency=low

  * Backported for lenny.
  * Applied additional patch from debian/patches/lenny-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 13 Jan 2012 03:21:00 -0500

xdffileio (0.2-1) unstable; urgency=low

  * Update maintainer email
  * Switch to 3.0 (quilt) format 
  * DEP5 compliant debian/copyright.
  * Make all docs installed in the doc folder of libxdffileio0
  * Bump Standards-version to 3.9.2
  * Tighten build-dependency on debhelper to >= 7.0.50~, due to _override
    rules.
  * Provides a -dbg package 
  * Update optional fields in control (Vcs-Git, Vcs-Browser, Homepage)
  * Add debian/watch
  * Only provide an unversioned libxdffileio-dev package.
  * Specify compiler and linker flags
  * Run dh with autotools-dev
  * Improves package description.
  * Build depends on dpkg-dev (>= 1.16.1~), due to the inclusion of
    /usr/share/buildflags.mk in debian/rules.
  * Applies fix-glitches-in-manpages.patch: fix hyphen used as minus and
    spelling mistakes.
  * Adds "-ffloat-store" to CFLAGS for i386 and m68k cpu architectures

  * Upload sponsored by Michael Hanke <mih@debian.org> 
  * Initial release. (Closes: #646954) 

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 21 Dec 2011 12:43:23 +0100

xdffileio (0.2-0) lucid; urgency=low

  * Stop using cdbs.
  * Reduce locking overhead
  * Relicense to LGPL3

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Sun, 18 Sep 2011 10:16:51 +0200

xdffileio (0.1-0) lucid; urgency=low

  * Remove dependency_libs from libtool files (*.la).

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Fri, 18 May 2011 16:27:00 +0200

xdffileio (0.1) lucid; urgency=low

  * Initial Release.

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Fri, 29 Apr 2011 18:36:26 +0200
