=== debian/control ===
Source: xdffileio
Section: libs
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/xdffileio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/xdffileio.git
Homepage: http://cnbi.epfl.ch/software/xdffileio.html

Package: libxdffileio0
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: Library to read/write EEG data file formats
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead of the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.

Package: libxdffileio0-dbg
Section: debug
Architecture: any
Depends: neurodebian-popularity-contest, libxdffileio0 (= ${binary:Version}), ${misc:Depends}
Description: Library to read/write EEG data file formats (debugging symbols)
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.
 .
 This package provides the debugging symbols of the library.
 
Package: libxdffileio-dev
Section: libdevel
Architecture: any
Depends: neurodebian-popularity-contest, libxdffileio0 (= ${binary:Version}), ${misc:Depends}
Description: Library to read/write EEG data file formats (development files)
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.
 .
 This package contains the files needed to compile and link programs which
 use xdffileio.
