## xdffileio 0.3

=== debian/changelog ===
xdffileio (0.3-4) unstable; urgency=medium

  * Team upload.
  * Add d/libxdffileio-dev.maintscript to move /usr/share/doc/libxdffileio-dev
    from symbolic link toward libxdffileio0, to a separate directory.
    Closes: #985290

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 17 Mar 2021 13:51:56 +0100

xdffileio (0.3-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Take over package into Debian Med team maintenance
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.1-0.
  * Build on hurd
    Closes: #761898
  * d-shlibs - but why is static lib not built?

  [ Nilesh Patra ]
  * Enable static lib to be built
  * Properly rename manpages file
  * Clean leftover files after build with overriding dh_auto_clean
  * Do not conflict and install examples twice
  * Remove license copy from install

 -- Andreas Tille <tille@debian.org>  Sat, 19 Dec 2020 19:14:04 +0100

xdffileio (0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix frequent parallel FTBFS by using the serial test harness.
    (Closes: #912056)

 -- Adrian Bunk <bunk@debian.org>  Mon, 10 Dec 2018 10:41:39 +0200

xdffileio (0.3-2) unstable; urgency=medium

  * Team upload.
  * Fake watch file since download area vanished upstream
  * Drop manual -dbg file since this is automatically generated
  * Maintained in Neurodebian team
  * Priority: optional
  * debhelper 10
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2018 21:53:47 +0200

xdffileio (0.3-1) unstable; urgency=low

  * New upstream: xdffileio-0.3
  * Drop all patches: have been integrated in upstream.
  * Bump Debian policy version to 3.9.3 -- no changes.
  * Use versioned copyright format
  * Bump debhelper compatibility level to 9.
  * Add multiarch support.

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Tue, 08 May 2012 15:39:55 +0200

xdffileio (0.2-3) unstable; urgency=low

  * Fix kfreebsd build:
    new patch workaround-freebsd-bug-in-errorcheck.patch
  * Fix Hurd build:
    new patch skip-errorcheck-if-setrlimit-broken.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Mon, 06 Feb 2012 02:20:36 +0100

xdffileio (0.2-2) unstable; urgency=low

  * Applies ignore-SIGXFSZ-signal-in-errorcheck-text.patch: this fix the
    build on kfreebsd architectures.
  * Upload sponsored by Michael Hanke <mih@debian.org>

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 18 Jan 2012 00:15:18 +0100
