=== debian/control ===
Source: xdffileio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               gnulib
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/xdffileio
Vcs-Git: https://salsa.debian.org/med-team/xdffileio.git
Homepage: https://cnbi.epfl.ch/software/xdffileio.html
Rules-Requires-Root: no

Package: libxdffileio0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to read/write EEG data file formats
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead of the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.

Package: libxdffileio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libxdffileio0 (= ${binary:Version}),
         ${misc:Depends}
Description: Library to read/write EEG data file formats (development files)
 xdffileio is a library that provides a unified interface for writing and
 reading various biosignal file formats in realtime (i.e. streaming). It has
 been designed to provide a flexible, consistent and generic interface to
 all supported file formats while minimizing the overhead the function
 calls: the heaviest operations (type casting, scaling and formatting) are
 offloaded into a separated thread. This design makes its particularly
 suitable to be directly used in a data acquisition loop (like in
 electrophysiology recording or in Brain-Computer Interfaces (BCI)).
 .
 The genericity of the interface makes trivial various operations like
 transformation of a recorded file or its conversion to another file format.
 xdffileio currently supports EDF, BDF, GDF1 and GDF2 file formats and more
 will be added in future.
 .
 This package contains the files needed to compile and link programs which
 use xdffileio.
