=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,41 @@
 
 
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	export CFLAGS += -O3 $(BASE_CFLAGS)
+	export DEB_CFLAGS_MAINT_APPEND = -O3 $(BASE_CFLAGS)
 else
-	export CFLAGS += $(BASE_CFLAGS)
+	export DEB_CFLAGS_MAINT_APPEND = $(BASE_CFLAGS)
 endif
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions
+export DEB_BUILD_MAINT_OPTIONS=hardening=-pie,+format,+relro,+bindnow
 
 %:
-	dh  $@ --with autotools-dev
+	dh  $@
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-static
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=libxdffileio0
 
-override_dh_strip:
-	dh_strip --dbg-package=libxdffileio0-dbg
+override_dh_install:
+	dh_install
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    --movedev debian/tmp/usr/include usr \
+		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
+		    debian/tmp/usr/lib/*/*.so
+	find debian -name "lib*.la" -delete
 
+override_dh_installdocs:
+	dh_installdocs
+	rm -rf debian/libxdffileio0/usr/share/doc/libxdffileio0/example/
+	find debian -name 'COPYING' -delete	
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf test
