=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# This site does not exist any more
# http://cnbisrv02.epfl.ch/packages/xdffileio/xdffileio-(\d+).(\d+).tar.bz2
